Skip to content

Health Check

Request

Health endpoint to check availability

Security
Auth0(Required scopes: offline_accessmanage:services)
curl -i -X GET \
  https://api.mediamath.com/api/v3.0/healthcheck \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Health check response

Bodyapplication/json
build_versionstring
build_datestring
database_connectionboolean
latencystring

next format is used: 5 ms for latency more than 1ms and 5 µs for latency less than 1ms

node_connsobject
node_max_connsinteger
node_total_consinteger
Response
{ "build_version": "string", "build_date": "string", "database_connection": true, "latency": "string", "node_conns": { "acquired": 0, "constucting": 0, "idle": 0 }, "node_max_conns": 0, "node_total_cons": 0 }